
Packaging - Bug #15432

remove rubygem-rkerberos dependency on libkadm5clnt_mit.so

06/16/2016 06:39 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1330431 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1330431

Description of problem:

The current version of rubygem-rkerberos requires libkadm5clnt_mit.so.8. This is quite unfortunate as functions provided by this lib

are not considered stable by upstream [1] and it may change with krb5 rebase. If it changes (what happened with RHEL-7.2 and now

with RHEL-7.3), krb5 has no other option than pretending that it is still providing the old version [2]. This is a very bad practice,

IMHO.

It looks like our layered product do not use the kadm5 functions provided by this gem [3], so I think this could be removed from this

package and provided as an extra  package (ideally distributed in extras repository as we can not guarantee the stability) to still

provide this functionality to potential third party consumers.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1166012#c5

[2] https://bugzilla.redhat.com/show_bug.cgi?id=1292153#c24

[3] https://bugzilla.redhat.com/show_bug.cgi?id=1166012#c8

Version-Release number of selected component (if applicable):

rubygem-rkerberos-0.1.2-3.el7sat

How reproducible:

always

Steps to Reproduce:

1. rpm -qpR rubygem-rkerberos-0.1.2-3.el7sat.x86_64.rpm |grep kadm5

libkadm5clnt_mit.so.8()(64bit)

libkadm5clnt_mit.so.8(kadm5clnt_mit_8_MIT)(64bit)

History

#1 - 06/16/2016 06:50 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Category changed from Packaging to RPMs

- Priority changed from High to Normal

This should be filed against rkerberos, not Foreman. (Or EPEL7 if it's only packaging - we only maintain EL6.)

#2 - 06/29/2016 02:42 AM - Ivan Necas

https://github.com/domcleal/rkerberos/issues/13

#3 - 02/12/2020 08:19 PM - Eric Helms

- Status changed from New to Closed
